component-section
  div(slot='title') Architectural Frameworks
  component-intendedlearningoutcomes
    component-criterion(codes='["SA-begrip-raamwerk"]')
      | legt
      |
      strong architectuurraamwerk
      |
      | uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt de internationale architectuurnorm ISO/IEC/IEEE 42010 uit.
    component-criterion(codes='["SA-begrip-raamwerk"]')
      | legt het
      |
      strong 4+1 View Model
      |
      | uit.
    component-criterion(codes='["SA-begrip-raamwerk"]')
      | legt het
      |
      strong C4 View Model
      |
      | uit.
  component-section
    div(slot='title') Bestuderen
    p.bron
      a(href='bron/material/ISO_IEC_IEEE_42010.pdf')
        | NEN-ISO/IEC/IEEE 42010:2011 Systems and software engineering — Architecture description
    p.bron
      a(href='bron/material/Kruchten_4+1ViewModel.pdf')
        | Kruchten, P. (1995). The 4+1 View Model of Architecture. IEEE Software,12(6), 42-50
    p.bron
      a(href='bron/material/Brown_Simon_SWADevelopers-V2018-02-02.pdf') Brown, S. (2013). Software Architecture for Developers Volume 1. Leanpub
    p.bron
      a(href='bron/material/visualising-software-architecture.pdf') Brown, S. (2013). Software Architecture for Developers Volume 2. Leanpub
  component-section
    div(slot='title') Oefening 1
    component-exercise
      p
        strong Kruchten 4+1:
      ol
        li Werk in een groep van 3 á 5 studenten.
        li Gebruik aantekeningen en opdrachten uit eerdere weken.
        li
          | Lees (indien nodig) HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li Maak een eerste versie van de Physical View en herhaal bij de Development View.
        li Maak een korte (5 minuten) Presentatie van bovenstaande.
  component-section
    div(slot='title') Oefening 2
    component-exercise
      p
        strong Simon Brown C4:
      ol
        li Werk in een groep van 3 á 5 studenten.
        li Gebruik aantekeningen en opdrachten uit eerdere weken.
        li
          | Lees (indien nodig) HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li
          | Maak een eerste versie van de System Context Diagram, Container Diagram en 1 Component Diagram.
        li Maak een korte (5 minuten) Presentatie van bovenstaande.
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW6.pdf') Lesweek 6
  component-section(extra='')
    div(slot='title') Verdieping
    ul.liststyletypenone
      li.bron
        a(href='bron/material/software-architecture-for-developers.pdf') Presentatie Software Architecture for Developers, Simon Brown
      li.bron
        a(href='bron/material/visualising-software-architecture-with-the-c4-model.pdf') Presentatie Visualising Software Architecture C4 Model, Simon Brown
      li.bron
        a(href='https://structurizr.com/share/59853/') Voorbeeld C4 Framework
